# Introduction to CSM Installation

This document provides an introduction to the CSM installation documentation.

### Topics:
   * [Scenarios for Shasta v1.5](#scenarios)
   * [CSM Product Stream Updates](#product-stream-updates)
   * [CSM Operational Activities](#operations)
   * [Differences from Previous Release](#differences)
   * [Documentation Conventions](#documetation_conventions)

## Details

<a name="scenarios"></a>
# Scenarios for Shasta v1.5

   These scenarios for how to get CSM software onto a system are described in [Scenarios for Shasta v1.5](scenarios.md)
   * Installation of CSM software
      * First time installation of CSM software
      * Reinstall of CSM software
   * Upgrade from a previous version of CSM software

   Note: A migration from Shasta v1.3.x software to Shasta v1.5 software is not supported as a direct action, but is a two step process of first migrating from Shasta v1.3.x to Shasta v1.4 and then following the Upgrade procedure from v1.4 to v1.5.

   See [Scenarios for Shasta v1.5](scenarios.md)

<a name="product-stream-updates"></a>
# CSM Product Stream Updates

   The software included in the CSM product stream is released in more than one way.  The initial product release may be augmented with late-breaking workarounds and documentation updates or hotfixes after the release. 

   See [CSM Product Stream Updates](../update_product_stream/index.md)

<a name="operations"></a>
# CSM Operational Activities

   Procedures which are used during either installation or upgrading of software or in both, but which
   may also be used for general operation of the system reside here.  They are referenced in the context
   of the installation workflow.  For example, updating firmware with FAS or running the CSM health checks.

   See [CSM Operational Activities](../operations/index.md)

<a name="differences"></a>
# Differences from Previous Release

   TODO summary

   * [Differences from Previous Release](differences.md)

<a name="documetation_conventions"></a>
# Documentation Conventions

   TODO summary

   * [Documentation Conventions](documentation_conventions.md)
